Bug 842413 - clutter apps are crashing
clutter apps are crashing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 15:38 EDT by Matthias Clasen
Modified: 2012-09-17 18:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:55:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2012-07-23 15:38:09 EDT
With current rawhide, I see many clutter apps crash. Here is the symptom when running gnome-control-center:

$ gnome-control-center datetime
DRM_IOCTL_I915_GEM_CONTEXT_CREATE failed: Invalid argument
DRM_IOCTL_I915_GEM_CONTEXT_CREATE failed: Invalid argument
gnome-control-center: intel_resolve_map.c:46: intel_resolve_map_set: Assertion `(*tail)->need == need' failed.
Aborted

Here's a stacktrace:

#0  0x00007ffff54eaba5 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
#1  0x00007ffff54ec358 in __GI_abort () at abort.c:90
#2  0x00007ffff54e3972 in __assert_fail_base (fmt=
    0x7ffff562d8e8 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", 
    assertion=assertion@entry=0x7fffe4f6b076 "(*tail)->need == need", 
    file=file@entry=0x7fffe4f6b062 "intel_resolve_map.c", line=line@entry=46, 
    function=function@entry=0x7fffe4f6b090 "intel_resolve_map_set")
    at assert.c:92
#3  0x00007ffff54e3a22 in __GI___assert_fail (assertion=
    0x7fffe4f6b076 "(*tail)->need == need", file=
    0x7fffe4f6b062 "intel_resolve_map.c", line=46, function=
    0x7fffe4f6b090 "intel_resolve_map_set") at assert.c:101
#4  0x00007fffe4ef141b in intel_resolve_map_set ()
   from /usr/lib64/dri/i965_dri.so
#5  0x00007fffe4f02b51 in brw_draw_prims () from /usr/lib64/dri/i965_dri.so
#6  0x00007fffe4a6b984 in vbo_draw_arrays () from /lib64/libdricore8.1.0.so.1
#7  0x00007ffff4c4636b in _cogl_journal_flush_pipeline_and_entries ()
   from /lib64/libcogl.so.9
#8  0x00007ffff4c46043 in _cogl_journal_flush_vbo_offsets_and_entries ()
   from /lib64/libcogl.so.9
#9  0x00007ffff4c45ed6 in _cogl_journal_flush_clip_stacks_and_entries ()
   from /lib64/libcogl.so.9
#10 0x00007ffff4c470bc in _cogl_journal_flush () from /lib64/libcogl.so.9
#11 0x00007ffff4c49894 in cogl_framebuffer_clear4f () from /lib64/libcogl.so.9
#12 0x00007ffff6e2fb0e in clutter_stage_paint ()
   from /lib64/libclutter-1.0.so.0
#13 0x00007ffff5db9ad7 in _g_closure_invoke_va (closure=closure@entry=
    0x644620, return_value=return_value@entry=0x0, instance=instance@entry=
    0x14d60c0, args=args@entry=0x7fffffffd938, n_params=0, param_types=0x0)
    at gclosure.c:840
#14 0x00007ffff5dd32a5 in g_signal_emit_valist (instance=0x14d60c0, 
    signal_id=<optimized out>, detail=0, var_args=var_args@entry=
    0x7fffffffd938) at gsignal.c:3211
#15 0x00007ffff5dd3952 in g_signal_emit (instance=<optimized out>, 
    signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3356
#16 0x00007ffff6dce6bd in clutter_actor_continue_paint ()
   from /lib64/libclutter-1.0.so.0


And here's the versions of some packages:

$ rpm -q kernel xorg-x11-drv-intel cogl clutter
kernel-3.5.0-0.rc7.git4.1.fc18.x86_64
xorg-x11-drv-intel-2.20.0-1.20120718.fc18.x86_64
cogl-1.10.4-1.fc18.x86_64
clutter-1.11.8-1.fc18.x86_64

And here's my hardware:

[    24.745] (II) intel(0): Integrated Graphics Chipset: Intel(R) Sandybridge Mobile (GT2+)
Comment 1 Guillaume Ayoub 2012-08-02 18:10:20 EDT
Same bug on gentoo with almost the same versions of packages and Ivybridge chipset, the bug is definitely upstream.

Applying this patch fixes the bug for me:
http://gentoo-overlays.zugaina.org/chromiumos/portage/media-libs/mesa/files/8.0-i965-Allow-the-case-where-multiple-flush-types-are-e.patch

Don't ask me where this patch comes from or what it really does, I don't know, Google found it for me (!).
Comment 2 Bobby Powers 2012-08-07 11:25:10 EDT
I'm seeing the same thing on SNB as well:

[   167.012] (--) intel(0): Integrated Graphics Chipset: Intel(R) Sandybridge Mobile (GT2+)

[bpowers@fina ~]$ rpm -q xorg-x11-drv-intel cogl clutter
xorg-x11-drv-intel-2.20.2-1.fc18.x86_64
cogl-1.10.4-2.fc18.x86_64
clutter-1.11.8-2.fc18.x86_64

I'm running a self-compiled 3.6-rc1 kernel.
Comment 3 Ryan Lortie (desrt) 2012-08-27 10:39:57 EDT
here's a crash from Totem running on Ubuntu Quantal prerelease.  More or less the same story.

totem:
  Installed: 3.4.3-0ubuntu1
libcogl9:
  Installed: 1.10.4-0ubuntu1
libclutter-1.0-0:
  Installed: 1.11.12-0ubuntu1
libdri2-1:
  Installed: 1.0.0~git20120510+26fee2e-0ubuntu1
libgl1-mesa-dri:
  Installed: 9.0~git20120821.c1114c61-0ubuntu1

#0  0x00007ffff6070405 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007ffff6073b6b in __GI_abort () at abort.c:91
#2  0x00007ffff60690ce in __assert_fail_base (fmt=<optimized out>, assertion=0x7fffdf7b16c6 "(*tail)->need == need", 
    file=0x7fffdf7b16b2 "intel_resolve_map.c", line=<optimized out>, function=<optimized out>) at assert.c:94
#3  0x00007ffff6069172 in __GI___assert_fail (assertion=0x7fffdf7b16c6 "(*tail)->need == need", 
    file=0x7fffdf7b16b2 "intel_resolve_map.c", line=46, function=0x7fffdf7b16e0 "intel_resolve_map_set")
    at assert.c:103
#4  0x00007fffdf73575b in intel_resolve_map_set () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fffdf746e81 in brw_draw_prims () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#6  0x00007fffdf2ad7f4 in ?? () from /usr/lib/x86_64-linux-gnu/libdricore8.1.0.so.1
#7  0x00007ffff3ae785b in _cogl_journal_flush_modelview_and_entries (data=0x7fffffffdbc0, batch_len=<optimized out>, 
    batch_start=<optimized out>) at ./cogl-journal.c:315
#8  _cogl_journal_flush_pipeline_and_entries (batch_start=<optimized out>, batch_len=<optimized out>, 
    data=0x7fffffffdbc0) at ./cogl-journal.c:467
#9  0x00007ffff3ae7533 in _cogl_journal_flush_vbo_offsets_and_entries (batch_start=0x1a6cae0, 
    batch_len=<optimized out>, data=0x7fffffffdbc0) at ./cogl-journal.c:667
#10 0x00007ffff3ae73c6 in _cogl_journal_flush_clip_stacks_and_entries (batch_start=0x1a6cae0, batch_len=1, 
    data=0x7fffffffdbc0) at ./cogl-journal.c:746
#11 0x00007ffff3ae85ac in _cogl_journal_flush (journal=<optimized out>) at ./cogl-journal.c:1452
#12 0x00007ffff3ae977c in _cogl_framebuffer_flush_journal (framebuffer=framebuffer@entry=0x1a7b380)
    at ./cogl-framebuffer.c:639
#13 0x00007ffff3aead84 in cogl_framebuffer_clear4f (framebuffer=0x1a7b380, buffers=buffers@entry=3, red=0, green=0, 
    blue=0, alpha=1) at ./cogl-framebuffer.c:425
#14 0x00007ffff3aeaf7c in cogl_framebuffer_clear (framebuffer=<optimized out>, buffers=buffers@entry=3, 
    color=color@entry=0x7fffffffdcb0) at ./cogl-framebuffer.c:491
#15 0x00007ffff3ab2cb5 in cogl_clear (color=color@entry=0x7fffffffdcb0, buffers=buffers@entry=3) at ./cogl.c:137
#16 0x00007ffff3dc494e in clutter_stage_paint (self=0x1a031b0) at ./clutter-stage.c:713
#17 0x00007ffff691b307 in _g_closure_invoke_va (closure=0x1a02260, return_value=0x0, instance=0x1a031b0, 
    args=0x7fffffffdfd8, n_params=0, param_types=0x0) at /build/buildd/glib2.0-2.33.10/./gobject/gclosure.c:840
#18 0x00007ffff6934ab8 in g_signal_emit_valist (instance=0x1a031b0, signal_id=<optimized out>, detail=0, 
    var_args=var_args@entry=0x7fffffffdfd8) at /build/buildd/glib2.0-2.33.10/./gobject/gsignal.c:3211
#19 0x00007ffff69351f2 in g_signal_emit (instance=instance@entry=0x1a031b0, signal_id=<optimized out>, 
    detail=detail@entry=0) at /build/buildd/glib2.0-2.33.10/./gobject/gsignal.c:3356
#20 0x00007ffff3d6259d in clutter_actor_continue_paint (self=self@entry=0x1a031b0) at ./clutter-actor.c:3869
#21 0x00007ffff3d6fa43 in clutter_actor_paint (self=0x1a031b0) at ./clutter-actor.c:3794
#22 0x00007ffff3d6ff99 in clutter_actor_paint (self=<optimized out>) at ./clutter-actor.c:3816
#23 0x00007ffff3dc8aed in _clutter_stage_do_paint (stage=0x1a031b0, clip=clip@entry=0x0) at ./clutter-stage.c:671
#24 0x00007ffff3d57e3a in clutter_stage_cogl_redraw (stage_window=<optimized out>) at ./cogl/clutter-stage-cogl.c:404
#25 0x00007ffff3dc73ee in clutter_stage_do_redraw (stage=0x1a031b0) at ./clutter-stage.c:1172
#26 _clutter_stage_do_update (stage=0x1a031b0) at ./clutter-stage.c:1230
#27 0x00007ffff3dac51d in master_clock_update_stages (stages=0x7fffb822a9b0, master_clock=0x1a01b70)
    at ./clutter-master-clock.c:386
#28 clutter_clock_dispatch (source=source@entry=0x1a05790, callback=<optimized out>, user_data=<optimized out>)
    at ./clutter-master-clock.c:520
#29 0x00007ffff665bdb5 in g_main_dispatch (context=0x643e00) at /build/buildd/glib2.0-2.33.10/./glib/gmain.c:2707
#30 g_main_context_dispatch (context=context@entry=0x643e00) at /build/buildd/glib2.0-2.33.10/./glib/gmain.c:3211
#31 0x00007ffff665c0e8 in g_main_context_iterate (context=context@entry=0x643e00, block=block@entry=1, 
---Type <return> to continue, or q <return> to quit---
    dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.33.10/./glib/gmain.c:3282
#32 0x00007ffff665c1a4 in g_main_context_iteration (context=0x643e00, context@entry=0x0, may_block=may_block@entry=1)
    at /build/buildd/glib2.0-2.33.10/./glib/gmain.c:3343
#33 0x00007ffff6bfcefc in g_application_run (application=0x6871a0, argc=<optimized out>, argv=0x7fffffffe798)
    at /build/buildd/glib2.0-2.33.10/./gio/gapplication.c:1607
#34 0x000000000040256d in main ()
Comment 4 Bobby Powers 2012-08-27 12:06:07 EDT
this is a pretty big problem.  Most of the time gnome-control-center doesn't run for me.
Comment 5 Fedora Update System 2012-08-27 12:33:27 EDT
mesa-8.1-0.19.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mesa-8.1-0.19.fc18
Comment 6 Fedora Update System 2012-08-28 14:15:24 EDT
Package mesa-8.1-0.19.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mesa-8.1-0.19.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12852/mesa-8.1-0.19.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-17 18:55:31 EDT
mesa-8.1-0.19.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.